		import { select, range} from 'd3';
		import {fruitbowl} from './fruitbowl';

    const svg = d3.select('svg');

   	const makeFruit = type => ({ 
      type, 
      id: Math.random()
    });
		let fruits = range(5)
			.map(() => makeFruit('apple'));
		let selectedfruits = null;

		const onClick = id =>{
    	selectedfruits=id;
      console.log(id);
      render();
    };

  	const render = () => {
    	fruitbowl(svg, {
        fruits,
        height: +svg.attr('height'),
        onClick,
        selectedfruits
      });
    };

		render();
    //after a second eat an apple		
		setTimeout(()=>{
			fruits.pop();
			render();
    },1000);
		//after 2 second replace an apple		
		setTimeout(()=>{
			fruits[2].type = 'lemon';
			render();
    },2000);
		//remove second
		setTimeout(()=>{
			fruits = fruits.filter((d,i)=>i!==1);
			render();
    },3000);





		